

set VOLUME="$1 $2 $3 $4"

echo Starting test with volume: ${VOLUME}
echo Running reference call_dslash with volume ${VOLUME}
qrun ./call_dslash_reference ${VOLUME}
mv Chi_cb* ref/

echo Running target call_dslash with volume ${VOLUME}
qrun ./call_dslash_target ${VOLUME}

echo Diffing chi cb=0
diff Chi_cb0 ref/Chi_cb0

echo Diffing chi cb=1
diff Chi_cb1 ref/Chi_cb1

echo Diffing chi_dagger cb=0
diff Chi_cb0_dag ref/Chi_cb0_dag

echo Diffing chi_dagger cb=1
diff Chi_cb1_dag ref/Chi_cb1_dag
